xsdnode.h File Reference
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/list1.h>`
`#include <gwenhywfar/xml.h>`
`#include <gwenhywfar/db.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_XSD_NODE | GWEN_XSD_NODE

## Enumerations

enum | GWEN_XSD_NODETYPE { GWEN_Xsd_NodeType_Unknown =0 , GWEN_Xsd_NodeType_Any , GWEN_Xsd_NodeType_Element , GWEN_Xsd_NodeType_Attribute , GWEN_Xsd_NodeType_ComplexType , GWEN_Xsd_NodeType_SimpleType , GWEN_Xsd_NodeType_Group , GWEN_Xsd_NodeType_AttributeGroup , GWEN_Xsd_NodeType_Facet }

## Functions

void | GWEN_XsdNode_AddChild (GWEN_XSD_NODE *xsdNode, GWEN_XSD_NODE *newChild)
void | GWEN_XsdNode_AddFlags (GWEN_XSD_NODE *xsdNode, uint32_t fl)
void | GWEN_XsdNode_free (GWEN_XSD_NODE *xsdNode)
GWEN_XSD_NODE_LIST * | GWEN_XsdNode_GetChildren (const GWEN_XSD_NODE *xsdNode)
uint32_t | GWEN_XsdNode_GetFlags (const GWEN_XSD_NODE *xsdNode)
const char * | GWEN_XsdNode_GetName (const GWEN_XSD_NODE *xsdNode)
GWEN_XSD_NODETYPE | GWEN_XsdNode_GetNodeType (const GWEN_XSD_NODE *xsdNode)
GWEN_XSD_NODE * | GWEN_XsdNode_GetParent (const GWEN_XSD_NODE *xsdNode)
GWEN_XSD_NODE * | GWEN_XsdNode_new (GWEN_XSD_NODE *parent, GWEN_XSD_NODETYPE t, const char *name)
int | GWEN_XsdNode_Read (GWEN_XSD_NODE *xsdNode, GWEN_XMLNODE *xmlNode, GWEN_DB_NODE *db)
void | GWEN_XsdNode_SetFlags (GWEN_XSD_NODE *xsdNode, uint32_t fl)
void | GWEN_XsdNode_SubFlags (GWEN_XSD_NODE *xsdNode, uint32_t fl)
void | GWEN_XsdNode_Unlink (GWEN_XSD_NODE *xsdNode)
int | GWEN_XsdNode_Write (GWEN_XSD_NODE *xsdNode, GWEN_XMLNODE *xmlNode, GWEN_DB_NODE *db)

## Typedef Documentation

## GWEN_XSD_NODE

typedef struct GWEN_XSD_NODE GWEN_XSD_NODE

Definition at line 29 of file xsdnode.h.

## Enumeration Type Documentation

## GWEN_XSD_NODETYPE

enum GWEN_XSD_NODETYPE

Enumerator
GWEN_Xsd_NodeType_Unknown |
GWEN_Xsd_NodeType_Any |
GWEN_Xsd_NodeType_Element |
GWEN_Xsd_NodeType_Attribute |
GWEN_Xsd_NodeType_ComplexType |
GWEN_Xsd_NodeType_SimpleType |
GWEN_Xsd_NodeType_Group |
GWEN_Xsd_NodeType_AttributeGroup |
GWEN_Xsd_NodeType_Facet |

Definition at line 42 of file xsdnode.h.

## Function Documentation

## GWEN_XsdNode_AddChild()

void GWEN_XsdNode_AddChild | ( | GWEN_XSD_NODE * | xsdNode,
|  | GWEN_XSD_NODE * | newChild )

## GWEN_XsdNode_AddFlags()

void GWEN_XsdNode_AddFlags | ( | GWEN_XSD_NODE * | xsdNode,
|  | uint32_t | fl )

## GWEN_XsdNode_free()

void GWEN_XsdNode_free | ( | GWEN_XSD_NODE * | xsdNode | ) |

## GWEN_XsdNode_GetChildren()

GWEN_XSD_NODE_LIST * GWEN_XsdNode_GetChildren | ( | const GWEN_XSD_NODE * | xsdNode | ) |

## GWEN_XsdNode_GetFlags()

uint32_t GWEN_XsdNode_GetFlags | ( | const GWEN_XSD_NODE * | xsdNode | ) |

## GWEN_XsdNode_GetName()

const char * GWEN_XsdNode_GetName | ( | const GWEN_XSD_NODE * | xsdNode | ) |

## GWEN_XsdNode_GetNodeType()

GWEN_XSD_NODETYPE GWEN_XsdNode_GetNodeType | ( | const GWEN_XSD_NODE * | xsdNode | ) |

## GWEN_XsdNode_GetParent()

GWEN_XSD_NODE * GWEN_XsdNode_GetParent | ( | const GWEN_XSD_NODE * | xsdNode | ) |

## GWEN_XsdNode_new()

GWEN_XSD_NODE * GWEN_XsdNode_new | ( | GWEN_XSD_NODE * | parent,
|  | GWEN_XSD_NODETYPE | t,
|  | const char * | name )

## GWEN_XsdNode_Read()

int GWEN_XsdNode_Read | ( | GWEN_XSD_NODE * | xsdNode,
|  | GWEN_XMLNODE * | xmlNode,
|  | GWEN_DB_NODE * | db )

## GWEN_XsdNode_SetFlags()

void GWEN_XsdNode_SetFlags | ( | GWEN_XSD_NODE * | xsdNode,
|  | uint32_t | fl )

## GWEN_XsdNode_SubFlags()

void GWEN_XsdNode_SubFlags | ( | GWEN_XSD_NODE * | xsdNode,
|  | uint32_t | fl )

## GWEN_XsdNode_Unlink()

void GWEN_XsdNode_Unlink | ( | GWEN_XSD_NODE * | xsdNode | ) |

## GWEN_XsdNode_Write()

int GWEN_XsdNode_Write | ( | GWEN_XSD_NODE * | xsdNode,
|  | GWEN_XMLNODE * | xmlNode,
|  | GWEN_DB_NODE * | db )